For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
HomeGuidesAPI ReferenceGlossary
  • API Reference
      • GETSearch entities
      • POSTCreate entity
      • GETGet entity
      • POSTUpdate entity
      • DELDelete entity
      • POSTAccept Terms of Service
      • POSTInitiate KYB
      • POSTGenerate JWT Token
      • GETGenerate Onboarding Link
      • POSTSend Onboarding Email
      • GETEvents
        • POSTCreate Bulk Entities (Sync)
        • GETDownload Bulk Entities (Sync)
Logo
Sign inBook a demo
API ReferenceEntityBulk

Create Bulk Entities (Sync)

POST
https://api.mercoa.com/entities
POST
/entities
$curl -X POST https://api.mercoa.com/entities \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "connectedEntity": {
> "id": "ent_a0f6ea94-0761-4a5e-a416-3c453cb7eced",
> "linkCreatedAsPayor": false,
> "linkCreatedAsPayee": true
> },
> "entities": [
> {
> "isCustomer": true,
> "isPayor": true,
> "isPayee": false,
> "accountType": "business",
> "foreignId": "MY-DB-ID-12345",
> "profile": {
> "business": {
> "email": "customer@acme.com",
> "legalBusinessName": "Acme Inc.",
> "website": "http://www.acme.com",
> "businessType": "llc",
> "phone": {
> "countryCode": "1",
> "number": "4155551234"
> },
> "address": {
> "addressLine1": "123 Main St",
> "addressLine2": "Unit 1",
> "city": "San Francisco",
> "stateOrProvince": "CA",
> "postalCode": "94105",
> "country": "US"
> },
> "taxId": {
> "ein": {
> "number": "12-3456789"
> }
> }
> }
> }
> }
> ]
>}'
1{
2 "data": [
3 {
4 "id": "ent_21661ac1-a2a8-4465-a6c0-64474ba8181d",
5 "foreignId": "YOUR-ENTITY-ID"
6 },
7 {
8 "foreignId": "YOUR-SECOND-ENTITY-ID",
9 "error": "Entity creation failed"
10 }
11 ]
12}
Create multiple entities in bulk. This endpoint will process synchronously and return a list of entities that were created or failed to create.
Was this page helpful?
Previous

Download Bulk Entities (Sync)

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

emitWebhooksbooleanOptionalDefaults to false
If true, webhooks will be emitted for each entity that is created. By default, webhooks are not emitted.

Request

This endpoint expects an object.
Bulk Entity Creation from ObjectobjectRequired

Response

This endpoint returns an object.
datalist of objects

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented